com.tibbo.aggregate.common.datatable.validator

## Class ExpressionValidator

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.validator.AbstractFieldValidator
  - - com.tibbo.aggregate.common.datatable.validator.ExpressionValidator

- All Implemented Interfaces:
    FieldValidator, PublicCloneable, java.lang.Cloneable

      public class ExpressionValidator
      extends AbstractFieldValidator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionValidator(java.lang.String source)`
    `ExpressionValidator(java.lang.String expression, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `encode()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Boolean` | `evaluateExpression(Context context, ContextManager contextManager, CallerController caller, java.lang.Object value)`
    `java.lang.Character` | `getType()`
    `int` | `hashCode()`
    `boolean` | `shouldEncode()`
    `java.lang.Object` | `validate(Context context, ContextManager contextManager, CallerController caller, java.lang.Object value)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.validator.AbstractFieldValidator

      `clone, validate`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionValidator

          public ExpressionValidator(java.lang.String source)

    - #### ExpressionValidator

          public ExpressionValidator(java.lang.String expression,
                                     java.lang.String message)

  - ### Method Detail

    - #### shouldEncode

          public boolean shouldEncode()

      Specified by:
        `shouldEncode` in interface `FieldValidator`
      Overrides:
        `shouldEncode` in class `AbstractFieldValidator`

    - #### encode

          public java.lang.String encode()

      Specified by:
        `encode` in interface `FieldValidator`
      Overrides:
        `encode` in class `AbstractFieldValidator`

    - #### getType

          public java.lang.Character getType()

      Specified by:
        `getType` in interface `FieldValidator`
      Overrides:
        `getType` in class `AbstractFieldValidator`

    - #### evaluateExpression

          public java.lang.Boolean evaluateExpression(Context context,
                                                      ContextManager contextManager,
                                                      CallerController caller,
                                                      java.lang.Object value)
                                               throws ValidationException

      Throws:
        `ValidationException`

    - #### validate

          public java.lang.Object validate(Context context,
                                           ContextManager contextManager,
                                           CallerController caller,
                                           java.lang.Object value)
                                    throws ValidationException

      Throws:
        `ValidationException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractFieldValidator`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractFieldValidator`